%define name smeserver-qemu-guest-agent
%define version 0.1
%define release 2
Summary: Plugin to enable add qemu-guest-agent support to Koozali SME
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://libreswan.org/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-qemu-guest-agent-bz11777-fix-event-name.patch

BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires:  e-smith-release >= 10.0
Requires:  qemu-guest-agent
AutoReqProv: no

%description
The qemu-guest-agent is a helper daemon, which is installed in the guest. 
It is used to exchange information between the host and guest, and to execute command in the guest. 

%changelog
* Tue Mar 15 2022 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-2.sme
- change event name  smeserver-qemu-guest-agent-update [SME: 11777]

* Fri Oct 22 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-1.sme
- Initial import to Koozali SME 10 [SME: 11715]



%prep
%setup
%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist


%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre
%preun
%post

echo "see https://wiki.koozali.org/Qemu_guest_agent"

%postun
